apiVersion: v1
kind: Namespace
metadata:
  name: xfqh
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
    nginx.ingress.kubernetes.io/proxy-connect-timeout: '3600'
    nginx.ingress.kubernetes.io/proxy-read-timeout: '3600'
    nginx.ingress.kubernetes.io/proxy-send-timeout: '3600'
    nginx.ingress.kubernetes.io/rewrite-target: /
  name: web-xfqh-store
  namespace: xfqh
spec:
  ingressClassName: nginx
  rules:
  - host: store-xflh.xfqh.cn
    http:
      paths:
      - backend:
          service:
            name: nginx
            port:
              number: 80
        path: /
        pathType: Prefix
---
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
    nginx.ingress.kubernetes.io/proxy-connect-timeout: '3600'
    nginx.ingress.kubernetes.io/proxy-read-timeout: '3600'
    nginx.ingress.kubernetes.io/proxy-send-timeout: '3600'
    nginx.ingress.kubernetes.io/rewrite-target: /
  name: web-xfqh
  namespace: xfqh
spec:
  ingressClassName: nginx
  rules:
  - host: admin-xflh.xfqh.cn
    http:
      paths:
      - backend:
          service:
            name: nginx
            port:
              number: 80
        path: /
        pathType: Prefix
  - host: xflh.xfqh.cn
    http:
      paths:
      - backend:
          service:
            name: nginx
            port:
              number: 80
        path: /
        pathType: Prefix
  tls:
  - hosts:
    - admin-xflh.xfqh.cn
    - xflh.xfqh.cn
    secretName: https-secret
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
    nginx.ingress.kubernetes.io/proxy-connect-timeout: '3600'
    nginx.ingress.kubernetes.io/proxy-read-timeout: '3600'
    nginx.ingress.kubernetes.io/proxy-send-timeout: '3600'
    nginx.ingress.kubernetes.io/rewrite-target: /$2
  name: pu-postcenter-v1x0x1
  namespace: xfqh
spec:
  ingressClassName: nginx
  rules:
  - host: api-xflh.xfqh.cn
    http:
      paths:
      - backend:
          service:
            name: pu-postcenter-v1x0x1
            port:
              number: 80
        path: /pu-postcenter-v1x0x1(/|$)(.*)
        pathType: Prefix
      - backend:
          service:
            name: pu-postcenter-v1x0x1
            port:
              number: 81
        path: /pu-postcenter-v1x0x1-ws(/|$)(.*)
        pathType: Prefix

